#!/bin/csh -f

set path = (/Volumes/CARVE/tools-src $path)

# set fillers
yes "*** FILLER ****" | dd bs=512 count=128 of=/tmp/fill.dd >& /dev/null
yes "Z" | tr -d '\n'| dd bs=512 count=128 of=/tmp/z.dd >& /dev/null
dd bs=512 count=128 if=/dev/zero of=/tmp/zero.dd >& /dev/null
dd bs=512 count=128 if=/dev/random of=/tmp/random.dd >& /dev/null
set fill_dir = "/Volumes/CARVE/filler/"
set fill_files = (`ls /Volumes/CARVE/filler`)
#
foreach file ($fill_files)
#	echo "Try $file"
	if (-e /tmp/$file) /bin/rm /tmp/$file
	cp ${fill_dir}$file /tmp/$file
	cat ${fill_dir}$file ${fill_dir}$file ${fill_dir}$file >> /tmp/$file
	cat ${fill_dir}$file ${fill_dir}$file ${fill_dir}$file >> /tmp/$file
	cat ${fill_dir}$file >> /tmp/$file
end

set img = /tmp/shift-image.dd
set alt = /tmp/unshift-image.dd
set dir = $1

dd bs=512 count=1 if=/dev/zero of=$img >& /dev/null
dd bs=512 count=1 if=/dev/zero of=$alt >& /dev/null
if (-e $dir/shift-image-create.txt) /bin/rm $dir/shift-image-create.txt
touch $dir/shift-image-create.txt

@ cnt = 0
set size_list = (0 1 2 4 8 16 32 64 128)
set fill_list = ("fill.dd" "z.dd" "zero.dd" "random.dd" "z.dd")
set fill_list = ($fill_files $fill_list)
#set f_list = (`ls $dir | egrep -v '(\.txt)|(\.csh)|(\.dd)' | head -25 | tail -10`)
set f_list = (`ls $dir | egrep -v '(\.txt)|(\.csh)|(\.dd)'`)
foreach file ($f_list)
	@ ix = ($cnt % $#size_list) + 1
	@ jx = ($cnt % $#fill_list) + 1
	echo "$file size $ix $size_list[$ix], pattern $jx $fill_list[$jx]" >> $dir/shift-image-create.txt
	block-cat.py $dir/$file >> $alt
	(dd if=/tmp/$fill_list[$jx] bs=512 count=$size_list[$ix] >> $alt) >& /dev/null
	(dd if=/tmp/$fill_list[$jx] bs=2 count=$size_list[$ix] > /tmp/base.dd) >& /dev/null
	cat $dir/$file >> /tmp/base.dd
	block-cat.py /tmp/base.dd >> $img
	(dd if=/tmp/$fill_list[$jx] bs=512 count=$size_list[$ix] >> $img) >& /dev/null
	@ cnt = $cnt + 1
end
