#!/bin/csh -f

# Evaluate tool results
#
# input is a data-set-profile, an image-file & result dir
#
#	usage: eval-result.csh tool-name-and-version data-set-dir image-file results-dir
#
#	output: one file -- image-profile
#
#echo "@(#) eval-result.csh Version 1.7 created 11/18/13 at 10:04:14"
set cur_rel = `sed < current_rel.py -e 's/.*= //' | tr -d "'"`
echo "@(#) eval-result.csh Version 1.7 created 11/18/13 at 10:04:14 (Release $cur_rel)"

if ($#argv != 4) then
	echo "Usage: $0 tool_name_and_version data-set-dir image_file.dd result_directory"
	exit (0)
endif

set tool_ver = $1
set dir = $2
set img = $3
set res = $4
set rlist = /tmp/rlist.txt

if ( !(-d $dir)) then
	echo $dir " is not a directory"
	exit(1)
endif

if ( !(-d $res)) then
	echo $res " is not a directory"
	exit(1)
endif

if (-e $rlist) /bin/rm $rlist
ls $res > $rlist
ls -l $res > /tmp/qlist.txt
echo "res is $res" >> /tmp/qlist.txt
#ls $dir
if $dir:t == "" then
	set dir = $dir:h
endif

set p_file = $dir/$dir:t-profile.txt
set t_file = $dir/$dir:t-thumbs.txt
set i_file = $dir/$img:r:t-ip.txt
set i_z    = $img:t:r
#echo $i_file
#echo "($img) iz = $i_z" > /dev/tty

#xip.py $i_file
(scan-result.py $tool_ver $p_file $t_file $img $i_file $res $rlist \
	> /tmp/Analysis-${i_z}-$tool_ver.txt ) >& /tmp/error-log-scan-result.txt
### outdated ###profile-result.py $tool_ver $p_file $t_file $img $res/*
